## python-cassandra-driver 2.5.1

=== debian/changelog ===
python-cassandra-driver (2.5.1-1) unstable; urgency=low

  * Initial release (Closes: #771065)

 -- Sandro Tosi <morph@debian.org>  Thu, 25 Jun 2015 15:50:21 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3

override_dh_install:
	python  setup.py install --install-layout=deb --root $(CURDIR)/debian/python-cassandra
	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-cassandra

override_dh_installdocs:
	dh_installdocs README.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/cassandra-driver/cassandra-driver-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cassandra-driver 3.20.2

=== requirements.txt ===
six >=1.9
futures <=2.2.0
# Futures is not required for Python 3, but it works up through 2.2.0 (after which it introduced breaking syntax).
# This is left here to make sure install -r works with any runtime. When installing via setup.py, futures is omitted
# for Python 3, in favor of the standard library implementation.
# see PYTHON-393

## python-cassandra-driver 3.4.1

=== debian/changelog ===
python-cassandra-driver (3.4.1-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - adjust Vcs-Browser to DPMT standards
    - add libev-dev to b-p needed by cassandra.io.libevwrapper
    - bump Standards-Version to 3.9.8 (no changes needed)
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * build arch:any and debug pkgs now that this prj contains extensions

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Jun 2016 22:58:39 +0100

=== debian/control ===
Source: python-cassandra-driver
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, python-setuptools, python3-setuptools, libev-dev, cython, cython3
Standards-Version: 3.9.8
Homepage: https://github.com/datastax/python-driver
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-cassandra-driver.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-cassandra-driver.git

Package: python-cassandra
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Suggests: python-snappy, python-lz4, python-blist
Description: Python driver for Apache Cassandra
 A modern, feature-rich and highly-tunable Python client library for Apache
 Cassandra (1.2+) and DataStax Enterprise (3.1+) using exclusively Cassandra's
 binary protocol and Cassandra Query Language v3.
 .
 Features:
  * Synchronous and Asynchronous APIs
  * Simple, Prepared, and Batch statements
  * Asynchronous IO, parallel execution, request pipelining
  * Connection pooling
  * Automatic node discovery
  * Automatic reconnection
  * Configurable load balancing and retry policies
  * Concurrent execution utilities
  * Object mapper

Package: python-cassandra-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-cassandra (= ${binary:Version}),
Suggests: python-snappy, python-lz4, python-blist
Description: Python driver for Apache Cassandra (debug)
 A modern, feature-rich and highly-tunable Python client library for Apache
 Cassandra (1.2+) and DataStax Enterprise (3.1+) using exclusively Cassandra's
 binary protocol and Cassandra Query Language v3.
 .
 Features:
  * Synchronous and Asynchronous APIs
  * Simple, Prepared, and Batch statements
  * Asynchronous IO, parallel execution, request pipelining
  * Connection pooling
  * Automatic node discovery
  * Automatic reconnection
  * Configurable load balancing and retry policies
  * Concurrent execution utilities
  * Object mapper
 .
 This package contains the debug extension for python-cassandra

Package: python3-cassandra
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Suggests: python3-blist
Description: Python driver for Apache Cassandra (Python 3)
 A modern, feature-rich and highly-tunable Python client library for Apache
 Cassandra (1.2+) and DataStax Enterprise (3.1+) using exclusively Cassandra's
 binary protocol and Cassandra Query Language v3.
 .
 Features:
  * Synchronous and Asynchronous APIs
  * Simple, Prepared, and Batch statements
  * Asynchronous IO, parallel execution, request pipelining
  * Connection pooling
  * Automatic node discovery
  * Automatic reconnection
  * Configurable load balancing and retry policies
  * Concurrent execution utilities
  * Object mapper
 .
 This package contains the Python 3.x module for python-cassandra

Package: python3-cassandra-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, python3-cassandra (= ${binary:Version})
Suggests: python3-blist
Description: Python driver for Apache Cassandra (Python 3 debug)
 A modern, feature-rich and highly-tunable Python client library for Apache
 Cassandra (1.2+) and DataStax Enterprise (3.1+) using exclusively Cassandra's
 binary protocol and Cassandra Query Language v3.
 .
 Features:
  * Synchronous and Asynchronous APIs
  * Simple, Prepared, and Batch statements
  * Asynchronous IO, parallel execution, request pipelining
  * Connection pooling
  * Automatic node discovery
  * Automatic reconnection
  * Configurable load balancing and retry policies
  * Concurrent execution utilities
  * Object mapper
 .
 This package contains the debug extensions for python3-cassandra

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3

override_dh_auto_install:
	python      setup.py install --install-layout=deb --root $(CURDIR)/debian/python-cassandra
	python-dbg  setup.py install --install-layout=deb --root $(CURDIR)/debian/python-cassandra-dbg
	python3     setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-cassandra
	python3-dbg setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-cassandra-dbg

	rm -rf debian/python*-dbg/usr/lib/python*/dist-packages/cassandra/numpyFlags.h

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-cassandra  --dbg-package=python-cassandra-dbg
	dh_strip -ppython3-cassandra --dbg-package=python3-cassandra-dbg
endif

override_dh_installdocs:
	dh_installdocs README.rst

## python-cassandra-driver 3.7.1

=== debian/changelog ===
python-cassandra-driver (3.7.1-2.1ubuntu2) artful; urgency=medium

  * No-change rebuild to build with python3.6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jul 2017 18:24:20 +0000

python-cassandra-driver (3.7.1-2.1ubuntu1) artful; urgency=medium

  * Build-depend on python{,3}-{dbg,dev}, not python{,3}-all-{dbg,dev},
    since there is no support for multiple versions in the packaging.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 May 2017 15:00:16 -0700

python-cassandra-driver (3.7.1-2.1build3) artful; urgency=medium

  * Try rebuild again to pick python 3.6.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 17 May 2017 18:16:52 +0530

python-cassandra-driver (3.7.1-2.1build2) artful; urgency=medium

  * Try rebuild again for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 14 May 2017 08:46:23 +0530

python-cassandra-driver (3.7.1-2.1build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 12 May 2017 20:58:42 +0530

python-cassandra-driver (3.7.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove some arch that are failing for the -dbg packages (Closes: #857298),
    this is only a quick temporary fix for Stretch, anyone with more time to
    fix properly is welcome to do so.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Apr 2017 21:52:26 +0000

python-cassandra-driver (3.7.1-2) unstable; urgency=medium

  * debian/rules
    - remove build and egg-info dirs in clean target, to build the package twice
      in a row; Closes: #825924
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 08 Jan 2017 11:28:48 -0500

python-cassandra-driver (3.7.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - dont use cython, cassandra-driver is incompatible with 0.25 we have
  * compat level 10

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Dec 2016 13:09:50 -0500

python-cassandra-driver (3.7.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add dh-python t0 b-d

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Oct 2016 14:23:02 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-cassandra-driver
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, python-setuptools, python3-setuptools, libev-dev, cython, cython3
+Build-Depends: debhelper (>= 10), python-dev, python3-dev, python-dbg, python3-dbg, python-setuptools, python3-setuptools, libev-dev, cython, cython3, dh-python
 Standards-Version: 3.9.8
 Homepage: https://github.com/datastax/python-driver
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-cassandra-driver.git
@@ -32,7 +33,7 @@
 Package: python-cassandra-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel ppc64el
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-cassandra (= ${binary:Version}),
 Suggests: python-snappy, python-lz4, python-blist
 Description: Python driver for Apache Cassandra (debug)
@@ -78,7 +79,7 @@
 Package: python3-cassandra-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel ppc64el
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, python3-cassandra (= ${binary:Version})
 Suggests: python3-blist
 Description: Python driver for Apache Cassandra (Python 3 debug)

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #!/usr/bin/make -f
+
+export CASS_DRIVER_NO_CYTHON=1
 
 %:
 	dh $@ --with python2,python3
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf build/ cassandra_driver.egg-info/
 
 override_dh_auto_install:
 	python      setup.py install --install-layout=deb --root $(CURDIR)/debian/python-cassandra

## python-cassandra-driver 3.16.0

=== debian/changelog ===
python-cassandra-driver (3.16.0-2) unstable; urgency=medium

  * Team upload.
  [ Héctor Orón Martínez ]
  *

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/changelog: Remove trailing whitespaces.
  * Drop Python 2 support.
  * Use pybuild for building package.
  * Add python3-six to build depends.
  * Enable autopkgtest-pkg-python testsuite.
  * Enable all hardening.
  * d/copyright: Fix cassandra/cmurmur3.c filename.
  * Bump standards version to 4.4.0 (no changes).
  * Bump debhelper compat level to 12.

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Aug 2019 12:49:01 +0200

python-cassandra-driver (3.16.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * d/changelog: Remove trailing whitespaces.

  [ Emmanuel Arias ]
  * New upstream release.
  * Add DPMT to Maintainer field on d/control.
  * Adopt package, add myself to Uploaders (Closes: #888400).
  * Update Standards Version from 4.1.4 to 4.2.1 on
    d/control file.
  * Update on d/copyright file the Copyright file for
    debian/* files.
    - Add me to there.
  * Bump debhelper compatibility to 11 (from 10).
  * Fix problems on d/copyright:
    - Fix dep5-copyright-license-name-not-unique tag lintian
  * Move from old -dbg packages to dbgsym (Closes: #857298).
    - Delete python-cassandra-dbg and python-cassandra[3]-dbg
      from d/control
    - Delete from override_dh_auto_install (on d/rules) the
      installation of *-dbg
    - Change existing -dbg to -dbgsym on d/rules

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Wed, 05 Dec 2018 21:16:10 +0200

python-cassandra-driver (3.14.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol

  [ Sandro Tosi ]
  * New upstream release
  * debian/rules
    - build for all supported python3 versions; patch by Scott Kitterman;
      Closes: #867010
    - remove cassandra/io/asyncioreactor.py from python2 package, code is meant
      to be py3k only
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jun 2018 19:26:05 -0400

=== debian/control ===
Source: python-cassandra-driver
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>
Build-Depends: debhelper-compat (= 12), python3-all-dev, python3-all-dbg, python3-setuptools, libev-dev, cython3, dh-python, python3-six
Standards-Version: 4.4.0
Homepage: https://github.com/datastax/python-driver
Vcs-Git: https://salsa.debian.org/python-team/modules/python-cassandra-driver.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cassandra-driver
Testsuite: autopkgtest-pkg-python

Package: python3-cassandra
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Suggests: python3-blist
Description: Python driver for Apache Cassandra (Python 3)
 A modern, feature-rich and highly-tunable Python client library for Apache
 Cassandra (1.2+) and DataStax Enterprise (3.1+) using exclusively Cassandra's
 binary protocol and Cassandra Query Language v3.
 .
 Features:
  * Synchronous and Asynchronous APIs
  * Simple, Prepared, and Batch statements
  * Asynchronous IO, parallel execution, request pipelining
  * Connection pooling
  * Automatic node discovery
  * Automatic reconnection
  * Configurable load balancing and retry policies
  * Concurrent execution utilities
  * Object mapper
 .
 This package contains the Python 3.x module for python-cassandra

=== debian/rules ===
#!/usr/bin/make -f

export CASS_DRIVER_NO_CYTHON=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/ cassandra_driver.egg-info/

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python*-dbg/usr/lib/python*/dist-packages/cassandra/numpyFlags.h

override_dh_installdocs:
	dh_installdocs README.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/cassandra-driver/cassandra-driver-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cassandra-driver 3.20.2

=== debian/changelog ===
python-cassandra-driver (3.20.2-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:35:31 +0100

python-cassandra-driver (3.20.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuilt source-only after the package went through NEW.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Feb 2020 09:08:44 +0100

python-cassandra-driver (3.20.2-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Adam Cecile ]
  * New upstream release 3.20.2.
  * Add several build-dependencies to run unit tests.
  * Enable unit tests.
  * Re-enable Cython which is working fine now.
  * Enable multi-core compilation of Cython files.
  * Switch to GitHub tarball instead of PyPi to have docs and unit tests.
  * Generate Sphinx doc in python3-cassandra-doc package.
  * Update debian/watch to track GitHub.
  * Bump Standards-Version to 4.5.0.
  * Add Rules-Requires-Root: no in control.
  * Add debian/upstream/metadata file.
  * Add myself to uploaders.

 -- Adam Cecile <acecile@le-vert.net>  Tue, 07 Jan 2020 12:43:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,26 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>
-Build-Depends: debhelper-compat (= 12), python3-all-dev, python3-all-dbg, python3-setuptools, libev-dev, cython3, dh-python, python3-six
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), python3-all-dev, python3-all-dbg, python3-setuptools, libev-dev, cython3, dh-python, python3-six,
+ python3-nose <!nocheck>,
+ python3-mock (>= 2.0.0~) <!nocheck>,
+ python3-eventlet <!nocheck>,
+ python3-sure <!nocheck>,
+ python3-yaml <!nocheck>,
+ python3-tz <!nocheck>,
+ python3-twisted <!nocheck>,
+ python3-sphinx <!nodoc>,
+Standards-Version: 4.5.0
 Homepage: https://github.com/datastax/python-driver
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-cassandra-driver.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cassandra-driver
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-cassandra
 Architecture: any
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Suggests: python3-blist
+Suggests: python3-blist, python3-cassandra-doc
 Description: Python driver for Apache Cassandra (Python 3)
  A modern, feature-rich and highly-tunable Python client library for Apache
  Cassandra (1.2+) and DataStax Enterprise (3.1+) using exclusively Cassandra's
@@ -31,3 +40,26 @@
   * Object mapper
  .
  This package contains the Python 3.x module for python-cassandra
+
+Package: python3-cassandra-doc
+Build-Profiles: <!nodoc>
+Architecture: all
+Section: doc
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Description: Python driver for Apache Cassandra (documentation)
+ A modern, feature-rich and highly-tunable Python client library for Apache
+ Cassandra (1.2+) and DataStax Enterprise (3.1+) using exclusively Cassandra's
+ binary protocol and Cassandra Query Language v3.
+ .
+ Features:
+  * Synchronous and Asynchronous APIs
+  * Simple, Prepared, and Batch statements
+  * Asynchronous IO, parallel execution, request pipelining
+  * Connection pooling
+  * Automatic node discovery
+  * Automatic reconnection
+  * Configurable load balancing and retry policies
+  * Concurrent execution utilities
+  * Object mapper
+ .
+ This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cassandra

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# In case there's something wrong during cython generation, you may want to enable this
#export CASS_DRIVER_NO_CYTHON=1

# Enable parallel build
export CASS_DRIVER_BUILD_CONCURRENCY=$(shell nproc)

export PYBUILD_TEST_NOSE=1
# For some reasons evenlet.monkey_patch is not available in dbg version of the package
# Careful: Nose --ignore-files is basically not working correctly, adding folders before the file
# never worked, no matter how many .* I used...
export PYBUILD_TEST_ARGS_python3-dbg=$(PYBUILD_TEST_ARGS) --ignore-files="test_eventletreactor\.py"

%:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/ cassandra_driver.egg-info/
	# Do not delete cmurmur3.c because we don't have proper Python extension
	# so it cannot be regenerated with cython
	find cassandra -maxdepth 1 -type f -name '*.c' ! -name 'cmurmur3.c' -delete

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
endif

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python*-dbg/usr/lib/python*/dist-packages/cassandra/numpyFlags.h

## python-cassandra-driver 3.24.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+geomet>=0.1,<0.3
 six >=1.9
 futures <=2.2.0
 # Futures is not required for Python 3, but it works up through 2.2.0 (after which it introduced breaking syntax).

=== debian/changelog ===
python-cassandra-driver (3.24.0-1build3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:02:52 +0000

python-cassandra-driver (3.24.0-1build2) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 13:33:22 +0200

python-cassandra-driver (3.24.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Emmanuel Arias ]
  * d/control: Add Breaks+Replaces python3-cassandra (<< 3.20)
    (Closes: #952753).
  * d/gbp.conf: set debian/master as default branch.
  * d/control: Bump debhelper-compat to 13
  * d/control: Bump Standard-Version to 4.5.1
  * wrap-and-sort
  * d/control: No check the version of python3-mock dependency.
  * d/copyright: Update year copyright  on debian/*.
  * d/copyright: Use expat license name instead of MIT license name.
  * d/control: Update my contact information on Uploaders field.
  * New upstream version 3.24.0
  * d/control: Add python3-pure-sasl dependency.
  * d/patches: add patch to skip test that fail on i386 arch.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Fri, 05 Feb 2021 13:27:33 -0300

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,43 @@
 Source: python-cassandra-driver
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>
-Build-Depends: debhelper-compat (= 12), python3-all-dev, python3-all-dbg, python3-setuptools, libev-dev, cython3, dh-python, python3-six,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Emmanuel Arias <eamanu@yaerobi.com>,
+Build-Depends:
+ cython3,
+ debhelper-compat (= 13),
+ dh-python,
+ libev-dev,
+ python3-all-dbg,
+ python3-all-dev,
+ python3-eventlet <!nocheck>,
+ python3-mock <!nocheck>,
  python3-nose <!nocheck>,
- python3-mock (>= 2.0.0~) <!nocheck>,
- python3-eventlet <!nocheck>,
+ python3-pure-sasl,
+ python3-setuptools,
+ python3-six,
+ python3-sphinx <!nodoc>,
  python3-sure <!nocheck>,
+ python3-twisted <!nocheck>,
+ python3-tz <!nocheck>,
  python3-yaml <!nocheck>,
- python3-tz <!nocheck>,
- python3-twisted <!nocheck>,
- python3-sphinx <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/datastax/python-driver
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-cassandra-driver.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cassandra-driver
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-cassandra-driver.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cassandra-driver
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-cassandra
 Architecture: any
-Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Suggests: python3-blist, python3-cassandra-doc
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Suggests:
+ python3-blist,
+ python3-cassandra-doc,
 Description: Python driver for Apache Cassandra (Python 3)
  A modern, feature-rich and highly-tunable Python client library for Apache
  Cassandra (1.2+) and DataStax Enterprise (3.1+) using exclusively Cassandra's
@@ -45,7 +60,13 @@
 Build-Profiles: <!nodoc>
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Breaks:
+ python3-cassandra (<< 3.20),
+Replaces:
+ python3-cassandra (<< 3.20),
 Description: Python driver for Apache Cassandra (documentation)
  A modern, feature-rich and highly-tunable Python client library for Apache
  Cassandra (1.2+) and DataStax Enterprise (3.1+) using exclusively Cassandra's

## python-cassandra-driver 3.25.0

=== debian/changelog ===
python-cassandra-driver (3.25.0-2) unstable; urgency=medium

  * Team upload.
  * Patch: Python 3.11 support. (Closes: #1024043)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Nov 2022 20:35:16 +0200

python-cassandra-driver (3.25.0-1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * New upstream release

  [ Emmanuel Arias]
  * d/control: Bump Standards-Version to 4.6.1 (from 4.5.1; no further
    changes).
  * d/control: Remove trivial autopkgtest-pkg-python.
  * d/copyright: Update Copyright for year for Debian files.
  * d/upstream/metadata: Fix Name key in file. Use Python-Cassandra-Files
    instead of TileDB.
  * d/patches/0004-Fix-typos-in-upstream-source.patch: fix typos in upstream
    source.
  * d/tests: Run autopkgtest for this package.
  * d/patches/0005-Skip-test_multi_timer_validation-flaky-test.patch: Skip
    flaky test (Closes: #1000612).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Fri, 13 May 2022 17:37:40 -0300

=== debian/control ===
--- 
+++ 
@@ -22,11 +22,10 @@
  python3-twisted <!nocheck>,
  python3-tz <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/datastax/python-driver
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cassandra-driver.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cassandra-driver
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-cassandra

=== debian/tests/control ===
Tests: testsuite
Depends: cython3,
         python3-all,
         python3-eventlet,
         python3-mock,
         python3-nose,
         python3-pure-sasl,
         python3-pytest,
         python3-sure,
         python3-twisted,
         python3-tz,
         python3-yaml,
         @,
Restrictions: allow-stderr, needs-root

## python-cassandra-driver 3.28.0

=== debian/changelog ===
python-cassandra-driver (3.28.0-1) unstable; urgency=medium

  [ Colin Watson ]
  * Mark python3-cassandra-doc Multi-Arch: foreign.

  [ Emmanuel Arias ]
  * New upstream release.
  * d/control: Update my contact information. Also in d/copyright.
  * d/patches: Update patches:
    - 0004-Fix-typos-in-upstream-source.patch,
      0006-Merge-pull-request-1119-from-datastax-python-1290.patch and
      0007-Python-3.11-support-bpo-46730.patch: remove patches already applied
      by upstream.
    - 0003-Skip-tests-that-fails-on-i386-arch.patch
      0005-Skip-test_multi_timer_validation-flaky-test.patch and
      Make_unittests_loadable.patch: Update patches according to new upstream
      code. Skip tests manually, because nose2 does not support raising skip
      tests.
  * d/copyright: Update copyright year for debian/* files.
  * d/control: Bump Standards-Version to 4.6.2 (from 4.6.1; no further changes
    needed).
  * d/control: Run tests using nose2 instead of nose (Closes: #1018470).
    - d/rules: Set PYBUILD_TEST_NOSE2=1 to run nose2.
  * d/rules: Remove integration folder from tests. Remove tests that import
    integration: tests/stress_tests/test_multi_inserts.py,
    tests/stress_tests/test_load.py tests/unit/io/test_eventletreactor.py.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 07 Oct 2023 09:39:57 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Emmanuel Arias <eamanu@yaerobi.com>,
+ Emmanuel Arias <eamanu@debian.org>,
 Build-Depends:
  cython3,
  debhelper-compat (= 13),
@@ -13,7 +13,7 @@
  python3-all-dev,
  python3-eventlet <!nocheck>,
  python3-mock <!nocheck>,
- python3-nose <!nocheck>,
+ python3-nose2 <!nocheck>,
  python3-pure-sasl,
  python3-setuptools,
  python3-six,
@@ -22,7 +22,7 @@
  python3-twisted <!nocheck>,
  python3-tz <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/datastax/python-driver
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cassandra-driver.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cassandra-driver
@@ -58,6 +58,7 @@
 Package: python3-cassandra-doc
 Build-Profiles: <!nodoc>
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,7 @@
 # Enable parallel build
 export CASS_DRIVER_BUILD_CONCURRENCY=$(shell nproc)
 
-export PYBUILD_TEST_NOSE=1
-# For some reasons evenlet.monkey_patch is not available in dbg version of the package
-# Careful: Nose --ignore-files is basically not working correctly, adding folders before the file
-# never worked, no matter how many .* I used...
-export PYBUILD_TEST_ARGS_python3-dbg=$(PYBUILD_TEST_ARGS) --ignore-files="test_eventletreactor\.py"
-
+export PYBUILD_TEST_NOSE2=1
 %:
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -38,6 +33,8 @@
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
+	rm tests/integration -rf
+	rm tests/stress_tests/test_multi_inserts.py tests/stress_tests/test_load.py tests/unit/io/test_eventletreactor.py
 	dh_auto_test
 endif

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
          python3-all,
          python3-eventlet,
          python3-mock,
-         python3-nose,
+         python3-nose2,
          python3-pure-sasl,
          python3-pytest,
          python3-sure,

## python-cassandra-driver 3.29.0

=== requirements.txt ===
geomet>=0.1,<0.3

=== debian/changelog ===
python-cassandra-driver (3.29.0-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:26:33 +1100

python-cassandra-driver (3.29.0-3build1) noble; urgency=medium

  * No-change rebuild for libev1 t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 01:38:36 +0100

python-cassandra-driver (3.29.0-3) unstable; urgency=medium

  * d/rules: Ignore buildtime test failures on big endian. Thanks
    Adrian Bunk for the patch (Closes: #1064403).

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 22 Feb 2024 13:41:56 -0300

python-cassandra-driver (3.29.0-2) unstable; urgency=medium

  * d/tests/control: Avoid run autopkgtests in s390x.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 22 Feb 2024 13:41:50 -0300

python-cassandra-driver (3.29.0-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * New upstream version.
  * d/control: Use python3-nose, instead of python3-nose2. Also changed the
    variable PYBUILD_TEST_NOSE=1 for PYBUILD_TEST_NOSE2=1 in rules.
  * d/control: Remove python3-six from Build Depends, it is not longer used.
  * d/patches/change-assertRaisesRegexp-in-test.patch: Add patch to replace
    the deprecated assertRaisesRegexp class method for assertRaisesRegex.
  * d/control: Add build dependency to python3-pyasyncore, the upstream code
    still use asyncore.
  * d/rules: remove tests/unit/cython/test_bytesio.py and
    tests/unit/cython/test_utils.py tests files. They fail for Python 3.12,
    need more investigation.
  * d/tests/control: Add python3-pyasyncore and python3-setuptools as Depends
    and use nose instead of nose2.

  [ Andreas Tille ]
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Relax versioned Depends from cython
    Closes: #1056852

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 28 Jan 2024 19:21:02 -0300

=== debian/control ===
Source: python-cassandra-driver
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@debian.org>,
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-sequence-python3,
               libev-dev,
               python3-all-dbg,
               python3-all-dev,
               python3-eventlet <!nocheck>,
               python3-mock <!nocheck>,
               python3-nose <!nocheck>,
               python3-pure-sasl,
               python3-pyasyncore <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sure <!nocheck>,
               python3-twisted <!nocheck>,
               python3-tz <!nocheck>,
               python3-yaml <!nocheck>,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cassandra-driver
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cassandra-driver.git
Homepage: https://github.com/datastax/python-driver
Rules-Requires-Root: no

Package: python3-cassandra
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python3-blist,
          python3-cassandra-doc,
Description: Python driver for Apache Cassandra (Python 3)
 A modern, feature-rich and highly-tunable Python client library for Apache
 Cassandra (1.2+) and DataStax Enterprise (3.1+) using exclusively Cassandra's
 binary protocol and Cassandra Query Language v3.
 .
 Features:
  * Synchronous and Asynchronous APIs
  * Simple, Prepared, and Batch statements
  * Asynchronous IO, parallel execution, request pipelining
  * Connection pooling
  * Automatic node discovery
  * Automatic reconnection
  * Configurable load balancing and retry policies
  * Concurrent execution utilities
  * Object mapper
 .
 This package contains the Python 3.x module for python-cassandra

Package: python3-cassandra-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Python driver for Apache Cassandra (documentation)
 A modern, feature-rich and highly-tunable Python client library for Apache
 Cassandra (1.2+) and DataStax Enterprise (3.1+) using exclusively Cassandra's
 binary protocol and Cassandra Query Language v3.
 .
 Features:
  * Synchronous and Asynchronous APIs
  * Simple, Prepared, and Batch statements
  * Asynchronous IO, parallel execution, request pipelining
  * Connection pooling
  * Automatic node discovery
  * Automatic reconnection
  * Configurable load balancing and retry policies
  * Concurrent execution utilities
  * Object mapper
 .
 This is the common documentation package.
Build-Profiles: <!nodoc>

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,12 @@
 # Enable parallel build
 export CASS_DRIVER_BUILD_CONCURRENCY=$(shell nproc)
 
-export PYBUILD_TEST_NOSE2=1
+export PYBUILD_TEST_NOSE=1
 %:
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 else
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 endif
 
 override_dh_auto_clean:
@@ -34,8 +34,12 @@
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
 	rm tests/integration -rf
-	rm tests/stress_tests/test_multi_inserts.py tests/stress_tests/test_load.py tests/unit/io/test_eventletreactor.py
+	rm tests/stress_tests/test_multi_inserts.py tests/stress_tests/test_load.py tests/unit/io/test_eventletreactor.py tests/unit/cython/test_utils.py tests/unit/cython/test_bytesio.py
+ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
 	dh_auto_test
+else
+	-dh_auto_test
+endif
 endif
 
 override_dh_auto_install:

=== debian/tests/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Tests: testsuite
+Architecture: amd64 arm64 armel armhf i386 ppc64el
 Depends: cython3,
          python3-all,
          python3-eventlet,
          python3-mock,
-         python3-nose2,
+         python3-nose,
          python3-pure-sasl,
+         python3-pyasyncore,
          python3-pytest,
+         python3-setuptools,
          python3-sure,
          python3-twisted,
          python3-tz,

## python-cassandra-driver 3.29.1

=== debian/changelog ===
python-cassandra-driver (3.29.1-1.1) unstable; urgency=medium

  * Team Upload.
  * Remove extraneous dependency on python3-sure,
    still keep python3-nose for now.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 May 2024 19:59:59 +0200

python-cassandra-driver (3.29.1-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Bump Standards-Version to 5.7.0 (from 4.6.2; no further changes
    needed).

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 22 Apr 2024 16:21:50 -0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-cassandra-driver
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Emmanuel Arias <eamanu@debian.org>,
 Section: python
 Priority: optional
@@ -17,11 +16,10 @@
                python3-pyasyncore <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-               python3-sure <!nocheck>,
                python3-twisted <!nocheck>,
                python3-tz <!nocheck>,
                python3-yaml <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cassandra-driver
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cassandra-driver.git
 Homepage: https://github.com/datastax/python-driver
